<div class="addContainer">
  <div class="modalHeader">
    <div class="editRowModal">
      <div class="modalHeader clearfix">
        <div class="modal-about">
          <div class="font-weight-bold p-t-5 p-l-10 font-17">
            {{dialogTitle}}</div>
        </div>
      </div>
    </div>
    <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
      <mat-icon>close</mat-icon>
    </button>
  </div>
  <div mat-dialog-content>
    <form class="register-form m-4" [formGroup]="appointmentForm" (ngSubmit)="submit">
      <div class="row">
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>name</mat-label>
            <input matInput formControlName="name">
            <mat-icon matSuffix>face</mat-icon>
            <mat-error *ngIf="appointmentForm.get('name').hasError('required')">
              Name is required
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Email</mat-label>
            <input matInput formControlName="email" required>
            <mat-icon matSuffix>email</mat-icon>
            <mat-error
              *ngIf="appointmentForm.get('email').hasError('required') || appointmentForm.get('email').touched">
              Please enter a valid email address
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <div class="m-b-20">
            <mat-label class="mr-3">Gender:</mat-label>
            <mat-radio-group aria-label="Select gender" formControlName="gender" required>
              <mat-radio-button value="male">Male</mat-radio-button>
              <mat-radio-button value="female">Female</mat-radio-button>
              <mat-error *ngIf="appointmentForm.get('gender').hasError('required')">
                Select gender
              </mat-error>
            </mat-radio-group>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Choose a date</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="date">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
            <mat-error *ngIf="appointmentForm.get('date').hasError('required')">
              Please select date
            </mat-error>
          </mat-form-field>
        </div>
        <div class=" col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Time</mat-label>
            <input matInput formControlName="time">
            <mat-icon matSuffix>access_time</mat-icon>
            <mat-error *ngIf="appointmentForm.get('time').hasError('required')">
              Please select time
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Mobile</mat-label>
            <input matInput formControlName="mobile" type="number">
            <mat-icon matSuffix>phone</mat-icon>
            <mat-error *ngIf="appointmentForm.get('mobile').hasError('required')">
              Mobile is required
            </mat-error>
          </mat-form-field>
        </div>
        <div class=" col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width " appearance="outline">
            <mat-label>Doctor Name</mat-label>
            <mat-select formControlName="doctor" required>
              <mat-option [value]="'Dr.Rajesh'">
                Dr.Rajesh
              </mat-option>
              <mat-option [value]="'Dr.Sarah Smith'">
                Dr.Sarah Smith
              </mat-option>
              <mat-option [value]="'Dr.Jay Soni'">
                Dr.Jay Soni
              </mat-option>
              <mat-option [value]="'Dr.Pooja Patel'">
                Dr.Pooja Patel
              </mat-option>
              <mat-option [value]="'other'">
                Other
              </mat-option>
            </mat-select>
            <mat-error *ngIf="appointmentForm.get('doctor').hasError('required')">
              Doctor Name is required
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Injury/Condition</mat-label>
            <textarea matInput formControlName="injury"></textarea>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <div class="example-button-row">
            <button mat-raised-button color="primary" [type]="submit" [disabled]="!appointmentForm.valid"
              [mat-dialog-close]="1" (click)="confirmAdd()">Save</button>
            <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancel</button>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
